HanMacWrdKGraphInternal Namespace Reference

Internal: the structures of a HanMacWrdKGraph. More...

## Classes

struct | Frame
| Internal: the frame header of a HanMacWrdKGraph. More...
struct | ShapeGraph
| Internal: the geometrical graph of a HanMacWrdKGraph. More...
struct | FootnoteFrame
| Internal: the footnote of a HanMacWrdKGraph. More...
struct | Group
| Internal: the group of a HanMacWrdKGraph. More...
struct | PictureFrame
| Internal: the picture of a HanMacWrdKGraph. More...
struct | TableCell
| a table cell in a table in HanMacWrdKGraph More...
struct | Table
| Internal: the table of a HanMacWrdKGraph. More...
struct | TextBox
| Internal: the textbox of a HanMacWrdKGraph. More...
struct | Picture
| Internal: the picture of a HanMacWrdKGraph. More...
struct | Pattern
| Internal: the pattern of a HanMacWrdKGraph. More...
struct | State
| Internal: the state of a HanMacWrdKGraph. More...
class | SubDocument
| Internal: the subdocument of a HanMacWrdKGraph. More...

## Functions

std::ostream & | operator<< (std::ostream &o, Frame const &grph)
std::ostream & | operator<< (std::ostream &o, TableCell const &cell)

## Variables

constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when walking nested groups

## Detailed Description

Internal: the structures of a HanMacWrdKGraph.

## Function Documentation

## operator<<() [1/2]

std::ostream & HanMacWrdKGraphInternal::operator<< | ( | std::ostream & | o,
|  | Frame const & | grph )

## operator<<() [2/2]

std::ostream & HanMacWrdKGraphInternal::operator<< | ( | std::ostream & | o,
|  | TableCell const & | cell )

## Variable Documentation

## MAX_RECORD_NESTING

int HanMacWrdKGraphInternal::MAX_RECORD_NESTING = 1 << 10

constexpr

the maximum recursion depth when walking nested groups

Referenced by HanMacWrdKGraph::checkGroupStructures().